Error Messages when starting H20

   1273   2   1
User Avatar
Member
35 posts
Joined: Feb. 2016
Offline
I got this long error messages, when opening H20, can anybody shed some light on this?


Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

https://numpy.org/devdocs/user/troubleshooting-importerror.html [numpy.org]

Please note and check the following:

* The Python version is: Python3.10 from "C:\Program Files\Side Effects Software\Houdini 20.0.506\bin\houdinifx.exe"
* The NumPy version is: "1.23.5"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: No module named 'numpy.core._multiarray_umath'


ERROR: C:/PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles/sidefx_hud_slider.py
Traceback (most recent call last):
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 23, in <module>
from . import multiarray
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\multiarray.py", line 10, in <module>
from . import overrides
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\overrides.py", line 6, in <module>
from numpy.core._multiarray_umath import (
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\utils.py", line 32, in register_pyhandle
mod = importlib.import_module(module_name)
File "C:\PROGRA~1\SIDEEF~1\HOUDIN~1.506\python310\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name, package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles\sidefx_hud_slider.py", line 12, in <module>
import viewerhandle.hudutils as hudut
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\hudutils.py", line 3, in <module>
import resourceui as rui
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\resourceui.py", line 5, in <module>
import numpy
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\__init__.py", line 140, in <module>
from . import core
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 49, in <module>
raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

https://numpy.org/devdocs/user/troubleshooting-importerror.html [numpy.org]

Please note and check the following:

* The Python version is: Python3.10 from "C:\Program Files\Side Effects Software\Houdini 20.0.506\bin\houdinifx.exe"
* The NumPy version is: "1.23.5"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: No module named 'numpy.core._multiarray_umath'


ERROR: C:/PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles/sidefx_hud_toggle.py
Traceback (most recent call last):
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 23, in <module>
from . import multiarray
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\multiarray.py", line 10, in <module>
from . import overrides
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\overrides.py", line 6, in <module>
from numpy.core._multiarray_umath import (
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\utils.py", line 32, in register_pyhandle
mod = importlib.import_module(module_name)
File "C:\PROGRA~1\SIDEEF~1\HOUDIN~1.506\python310\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name, package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles\sidefx_hud_toggle.py", line 11, in <module>
import viewerhandle.hudutils as hudut
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\hudutils.py", line 3, in <module>
import resourceui as rui
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\resourceui.py", line 5, in <module>
import numpy
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\__init__.py", line 140, in <module>
from . import core
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 49, in <module>
raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

https://numpy.org/devdocs/user/troubleshooting-importerror.html [numpy.org]

Please note and check the following:

* The Python version is: Python3.10 from "C:\Program Files\Side Effects Software\Houdini 20.0.506\bin\houdinifx.exe"
* The NumPy version is: "1.23.5"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: No module named 'numpy.core._multiarray_umath'


ERROR: C:/PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles/sidefx_hud_trackpad.py
Traceback (most recent call last):
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 23, in <module>
from . import multiarray
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\multiarray.py", line 10, in <module>
from . import overrides
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\overrides.py", line 6, in <module>
from numpy.core._multiarray_umath import (
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\utils.py", line 32, in register_pyhandle
mod = importlib.import_module(module_name)
File "C:\PROGRA~1\SIDEEF~1\HOUDIN~1.506\python310\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name, package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/viewer_handles\sidefx_hud_trackpad.py", line 12, in <module>
import viewerhandle.hudutils as hudut
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\viewerhandle\hudutils.py", line 3, in <module>
import resourceui as rui
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\PROGRA~1/SIDEEF~1/HOUDIN~1.506/houdini/python3.10libs\resourceui.py", line 5, in <module>
import numpy
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\__init__.py", line 140, in <module>
from . import core
File "C:\Program Files\Side Effects Software\Houdini 20.0.506\python310\lib\site-packages-forced\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import
return original_import(name, *args, **kwargs)
File "C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy\core\__init__.py", line 49, in <module>
raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

https://numpy.org/devdocs/user/troubleshooting-importerror.html [numpy.org]

Please note and check the following:

* The Python version is: Python3.10 from "C:\Program Files\Side Effects Software\Houdini 20.0.506\bin\houdinifx.exe"
* The NumPy version is: "1.23.5"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: No module named 'numpy.core._multiarray_umath'
https://behance.net/derya [behance.net]
User Avatar
Member
5 posts
Joined: April 2018
Offline
Hello,

From what I see in the long error message, it looks like Houdini is picking up an incompatible Python 3.9 version of numpy from C:\Users\tezuk\AppData\Local\Programs\Python\Python39\Lib\site-packages\numpy. Note that the default Houdini 20.0 build uses Python 3.10.

If you have any PYTHON*variables set in your environment, then I would try unsetting those temporarily before launching Houdini to see if that helps.

Cheers,
Rob
User Avatar
Member
35 posts
Joined: Feb. 2016
Offline
Thanks a lot Rob, that was it. I had an environment variable pointing towards a python 3.9 library package. Deleted that one, now no more errors.
https://behance.net/derya [behance.net]
  • Quick Links